rte_ml_op(3)

NAME
rte_ml_op

SYNOPSIS

#include <rte_mldev.h>

  Data Fields

uint16_t model_id
uint16_t nb_batches
uint32_t reserved
struct rte_mempool * mempool
struct rte_ml_buff_seg ** input
struct rte_ml_buff_seg ** output
enum rte_ml_op_status status
uint64_t impl_opaque

Detailed Description

ML Operation.

This structure contains data related to performing an ML operation on the buffers using the model specified through model_id.

Definition at line 437 of file rte_mldev.h.

Field Documentation

  uint16_t model_id
Model ID to be used for the operation.

Definition at line 438 of file rte_mldev.h.

  uint16_t nb_batches
Number of batches. Minimum value must be one. Input buffer must hold inference data for each batch as contiguous.

Definition at line 440 of file rte_mldev.h.

  uint32_t reserved
Reserved for future use.

Definition at line 444 of file rte_mldev.h.

  struct rte_mempool* mempool
Pool from which operation is allocated.

Definition at line 446 of file rte_mldev.h.

  struct rte_ml_buff_seg** input
Array of buffer segments to hold the inference input data.

When the model supports IO layout RTE_ML_IO_LAYOUT_PACKED, size of the array is 1.

When the model supports IO layout RTE_ML_IO_LAYOUT_SPLIT, size of the array is rte_ml_model_info::nb_inputs.

See also
    struct rte_ml_dev_info::io_layout

Definition at line 448 of file rte_mldev.h.

  struct rte_ml_buff_seg** output
Array of buffer segments to hold the inference output data.

When the model supports IO layout RTE_ML_IO_LAYOUT_PACKED, size of the array is 1.

When the model supports IO layout RTE_ML_IO_LAYOUT_SPLIT, size of the array is rte_ml_model_info::nb_outputs.

See also
    struct rte_ml_dev_info::io_layout

Definition at line 459 of file rte_mldev.h.

  uint64_t user_u64
User data as uint64_t.

Definition at line 471 of file rte_mldev.h.

  void* user_ptr
User data as void*.

Definition at line 473 of file rte_mldev.h.

  enum rte_ml_op_status status
Operation status.

Definition at line 476 of file rte_mldev.h.

  uint64_t impl_opaque
Implementation specific opaque value. An implementation may use this field to hold implementation specific value to share between dequeue and enqueue operation. The application should not modify this field.

Definition at line 478 of file rte_mldev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.